## org.mortbay.cometd.continuation
Class ContinuationBayeux

    java.lang.Object
      org.mortbay.cometd.AbstractBayeux
          org.mortbay.cometd.continuation.ContinuationBayeux

All Implemented Interfaces:
  Bayeux

    public class ContinuationBayeux

extends AbstractBayeux

Extension of Bayeux that uses `ContinuationClient`s.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.cometd.AbstractBayeux
`AbstractBayeux.DefaultPolicy`

Field Summary

Fields inherited from class org.mortbay.cometd.AbstractBayeux
`META_CLIENT_ID, META_CONNECT_ID, META_DISCONNECT_ID, META_HANDSHAKE_ID, META_ID, META_PING_ID, META_RECONNECT_ID, META_STATUS_ID, META_SUBSCRIBE_ID, META_UNSUBSCRIBE_ID, TRANSPORTS`

Fields inherited from interface dojox.cometd.Bayeux
`ADVICE_FIELD, CHANNEL_FIELD, CLIENT_FIELD, DATA_FIELD, DOJOX_COMETD_BAYEUX, ERROR_FIELD, EXT_FIELD, ID_FIELD, META, META_CLIENT, META_CONNECT, META_DISCONNECT, META_HANDSHAKE, META_PING, META_RECONNECT, META_SLASH, META_STATUS, META_SUBSCRIBE, META_UNSUBSCRIBE, SERVICE, SERVICE_SLASH, SUBSCRIPTION_FIELD, SUCCESSFUL_FIELD, TIMESTAMP_FIELD, TRANSPORT_FIELD`

Constructor Summary
`ContinuationBayeux()`

Method Summary
`void` `cancelTimeout(Timeout.Task timeout)`
`void` `destroy()`
`protected void` `initialize(ServletContext context)`
`ClientImpl` `newRemoteClient()`
`void` `setClientTimeoutMs(long ms)`

Methods inherited from class org.mortbay.cometd.AbstractBayeux

`addFilter, deliver, getAdvice, getChannel, getChannel, getChannel, getChannelId, getClient, getClientIDs, getClientTimeoutMs, getLogLevel, getMultiFrameInterval, getRandom, getSecurityPolicy, getTimeOnServer, handle, hasChannel, isInitialized, isJSONCommented, isLogDebug, isLogInfo, logDebug, logDebug, logInfo, logWarn, logWarn, newClient, newTransport, publish, publish, removeChannel, removeFilter, setAdvice, setJSONCommented, setLogLevel, setMultiFrameInterval, setSecurityPolicy, subscribe, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinuationBayeux

    public ContinuationBayeux()

Method Detail

### newRemoteClient

    public ClientImpl newRemoteClient()

  Specified by:
    `newRemoteClient` in class `AbstractBayeux`

### initialize

    protected void initialize(ServletContext context)

  Overrides:
    `initialize` in class `AbstractBayeux`

### setClientTimeoutMs

    public void setClientTimeoutMs(long ms)

  Overrides:
    `setClientTimeoutMs` in class `AbstractBayeux`

### destroy

    public void destroy()

### cancelTimeout

    public void cancelTimeout(Timeout.Task timeout)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.